Package hdf.hdf5lib.exceptions

# Class HDF5ExternalFileListException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
hdf.hdf5lib.exceptions.HDF5Exception
hdf.hdf5lib.exceptions.HDF5LibraryException
hdf.hdf5lib.exceptions.HDF5ExternalFileListException

All Implemented Interfaces:
  `java.io.Serializable`

    public class HDF5ExternalFileListException
    extends HDF5LibraryException

The class HDF5LibraryException returns errors raised by the HDF5 library.

This sub-class represents HDF-5 major error code H5E_EFL

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class hdf.hdf5lib.exceptions.HDF5Exception

  `detailMessage`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `HDF5ExternalFileListException()` | Constructs an `HDF5ExternalFileListException` with no specified detail message.
  `HDF5ExternalFileListException​(java.lang.String s)` | Constructs an `HDF5ExternalFileListException` with the specified detail message.

- ## Method Summary

  ### Methods inherited from class hdf.hdf5lib.exceptions.HDF5LibraryException

  `getMajorErrorNumber, getMinorError, getMinorErrorNumber, printStackTrace, printStackTrace`

  ### Methods inherited from class hdf.hdf5lib.exceptions.HDF5Exception

  `getMessage`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### HDF5ExternalFileListException

    public HDF5ExternalFileListException()
    Constructs an `HDF5ExternalFileListException` with no specified detail message.

  - ### HDF5ExternalFileListException

    public HDF5ExternalFileListException​(java.lang.String s)
    Constructs an `HDF5ExternalFileListException` with the specified detail message.
    Parameters:
      `s` - the detail message.